Withdraw a paper's review links
POST
/v1/papers/{id}/review_links/revoke
const url = 'https://api.learningaide.ai/v1/papers/example/review_links/revoke';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.learningaide.ai/v1/papers/example/review_links/revoke \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{}'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Header Parameters
Section titled “Header Parameters”Idempotency-Key
string
A unique value, such as a v4 UUID, that you reuse only to retry this request.
Request Body
Section titled “Request Body”Media typeapplication/json
object
Example generated
{}Responses
Section titled “Responses”The request succeeded.
Media typeapplication/json
object
object
required
string
paper_id
required
string
revoked
required
integer
Example
{ "object": "review_link_revocation"}Headers
Section titled “Headers”X-Request-Id
required
string
This request’s ID. Quote it when you contact support.
RateLimit-Limit
integer
Requests allowed per window.
RateLimit-Remaining
integer
Requests left in the current window.
RateLimit-Reset
integer
Seconds until the window resets.
Idempotent-Replayed
string
On the saved response to an earlier request with this Idempotency-Key.
default
Section titled “default”An error (client docs, “Errors”).
Media typeapplication/json
Headers
Section titled “Headers”X-Request-Id
required
string
This request’s ID. Quote it when you contact support.
RateLimit-Limit
integer
Requests allowed per window.
RateLimit-Remaining
integer
Requests left in the current window.
RateLimit-Reset
integer
Seconds until the window resets.
Retry-After
integer
Seconds to wait before asking again.